Bug 1923275 - python-fiona: FTBFS in Fedora rawhide/f34
Summary: python-fiona: FTBFS in Fedora rawhide/f34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fiona
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10 1915193 1923242 1923244 1923247 F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-02-01 16:22 UTC by Fedora Release Engineering
Modified: 2021-04-24 20:03 UTC (History)
4 users (show)

Fixed In Version: python-fiona-1.8.19-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-24 19:42:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details
state.log (999 bytes, text/plain)
2021-02-01 16:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-02-01 16:22:51 UTC
python-fiona failed to build from source in Fedora rawhide/f34

https://koji.fedoraproject.org/koji/taskinfo?taskID=60891202


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
Please fix python-fiona at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-fiona will be orphaned. Before branching of Fedora 35,
python-fiona will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-02-01 16:22:53 UTC
Created attachment 1752904 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-02-01 16:22:55 UTC
Created attachment 1752905 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-02-01 16:22:56 UTC
Created attachment 1752906 [details]
state.log

Comment 4 Ben Cotton 2021-02-09 15:45:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Fedora Release Engineering 2021-02-14 04:22:48 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-29).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 6 Fedora Release Engineering 2021-02-14 04:22:48 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-29).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 7 Fedora Release Engineering 2021-03-07 04:22:31 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-29).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 8 Elliott Sales de Andrade 2021-03-23 02:29:09 UTC
I'm waiting for the latest gdal to be built on F34 to fix s390x.

Comment 9 Sandro Mani 2021-03-25 09:46:57 UTC
gdal 3.2.2 is now built in F34.

Comment 10 Elliott Sales de Andrade 2021-03-28 19:30:37 UTC
Thanks, I am building it now. It appears that the GEOS linking issue occurs on F33/F32 as well; can the fix be backported there too?

Comment 11 Elliott Sales de Andrade 2021-03-29 09:49:32 UTC
Oops, I didn't realize it's not stable in f34 yet, and started off a side tag. Since it will be stable tomorrow, I'll hold off on building until then. I've already built everything depending on it in Rawhide, so it should work in f34 too.

Comment 12 Fedora Update System 2021-04-04 02:52:06 UTC
FEDORA-2021-12479819ff has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

Comment 13 Fedora Update System 2021-04-05 01:40:02 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-12479819ff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2021-04-12 07:30:58 UTC
FEDORA-2021-12479819ff has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

Comment 15 Fedora Update System 2021-04-12 15:09:03 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-12479819ff`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-12479819ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2021-04-24 19:42:59 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-04-24 20:03:36 UTC
FEDORA-2021-12479819ff has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.